(* Timbuk - A Tree Automata Library (for Ocaml)
   Copyright (C) 2000-2001 Thomas Genet and Valrie Viet Triem Tong

   This program is free software; you can redistribute it and/or modify
   it under the terms of the GNU Library General Public License version 2, as
   published by the Free Software Foundation.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.

   See the GNU Library General Public License version 2 for more details
   (enclosed in the file LGPL).


   Version 1.1. Last modification 29/06/01
*)

(*i Be careful! Some comments of this file are formatted for ocamlweb. *)

(*i*)
open Common
(*i*)

(* This is the interface for variable sets *)

module Variable_set :
  functor (Variable_type : PRINTABLE_TYPE) ->
sig
  type variable = Variable_type.t
  type t
  val empty : t
  val is_empty : t -> bool
  val mem : variable -> t -> bool
  val to_string : t -> string
  val parse : Genlex.token Stream.t -> t
end
